<?php


namespace Shop\Application\Shopping\ChangeOrderItemState;

/**
 * Class ChangeOrderItemStateCommand
 * @package Shop\Application\Shopping\ChangeOrderItemState
 */
class ChangeOrderItemStateCommand
{
    protected $itemId;
    protected $stateId;

    /**
     * ChangeOrderItemStateCommand constructor.
     * @param int $itemId
     * @param int $stateId
     */
    public function __construct(int $itemId, int $stateId)
    {
        $this->itemId = $itemId;
        $this->stateId = $stateId;
    }

    /**
     * @return int
     */
    public function getItemId(): int
    {
        return $this->itemId;
    }

    /**
     * @return int
     */
    public function getStateId(): int
    {
        return $this->stateId;
    }

}